<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/maginit.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>maginit.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for maginit.c:</div>
<div class="dynsection">
<div class="center"><img src="maginit_8c__incl.png" border="0" usemap="#init_2maginit_8c_map" alt=""/></div>
<map name="init_2maginit_8c_map" id="init_2maginit_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="maginit_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="maginit_8c.html#accaf6541cd8225c7be69bdf5f6ac44d5">MagInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="accaf6541cd8225c7be69bdf5f6ac44d5"></a><!-- doxytag: member="maginit.c::MagInit" ref="accaf6541cd8225c7be69bdf5f6ac44d5" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MagInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="maginit_8c_source.html#l00029">29</a> of file <a class="el" href="maginit_8c_source.html">maginit.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_cgraph.png" border="0" usemap="#maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_cgraph_map" alt=""></div>
<map name="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_cgraph_map" id="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_cgraph">
<area shape="rect" id="node3" href="init_8h.html#a8fd02adfde9e3d9ac120c87dee020678" title="MagSet" alt="" coords="120,58,187,89"/><area shape="rect" id="node5" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76" title="ReadINP" alt="" coords="243,5,317,35"/><area shape="rect" id="node7" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="236,58,324,89"/><area shape="rect" id="node9" href="init_8h.html#a031e1284b34dfcb64f029f9bd16545ce" title="VertProp" alt="" coords="244,111,316,142"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_icgraph.png" border="0" usemap="#maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_icgraph_map" alt=""></div>
<map name="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_icgraph_map" id="maginit_8c_accaf6541cd8225c7be69bdf5f6ac44d5_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="121,5,180,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="229,5,280,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

